Prepaid Solutions

Overview

With our prepaid solution, you can extend prepaid products to customers without constraints such as credit rating, income, or bank account ownership. The solution includes issuer, branch, corporate, or cardholder web-based portals, enabling effortless sales, maintenance, load, and card or customer lifecycle management. These features empower non-banked customers to manage their finances like seasoned professionals, making financial management more accessible and straightforward.

Activate prepaid cards

Users can activate prepaid cards when they are first issued or after they have been deactivated for any reason.

Check card balances

Users can check the balance on a prepaid card in real-time or on a scheduled basis.

View transaction history

Users can view a detailed record of all transactions made with a prepaid card, including the date, time, amount, and location of each transaction.

 
Version

Card Token Enquiry

Status:

Production

Version:

V2

Product:

Prepaid Solutions

Card Token Enquiry

Overview

The Card Token Enquiry API enables businesses to obtain detailed information about a specific card token active and inactive details. The API requires the card identifier as an input parameter and returns the requested information in a JSON format. The information returned by the API includes the primary account number (PAN), the product associated with the card, various statuses and balances associated with the card, and other relevant details. This feature allows businesses to access and utilize the card information to support various card-related operations, such as transactions, card management, and customer service.

https://api-sandbox.network.global

Card Token Enquiry

Status:

Production

Version:

V2

Product:

Prepaid Solutions
/SB/CardServices/Enquiry/V2/CardTokenEnquiry
curl --location --request POST '#{PARAM_URL}' --header 'Authorization: Bearer {{ access_token }}' {custom_headers} --data-raw '#{JSON_PAYLOAD}'
curl --location --request GET 'https://api-sandbox.network.global/v1/tokenkc/generate' \--data-raw '#{JSON_PAYLOAD}'
curl --location --request POST 'https://api-sandbox.network.global/v1/tokenkc/generate' \--data-raw '#{JSON_PAYLOAD}'

Node Child Node Type Length Description
Authorization* requiredBearer xxxx* requiredstringAuthorization Header (Bearer Token)
Content-Type* requiredapplication/json* requiredstringContent Type

Node TypeTypeLengthDescription
NISrvRequestrequest_card_token_detailsheadermsg_id* requiredstring12Message ID, this field should be unique id for each Api call. This will be generated from client side. If the same message ID is used the system will decline the API call with Error Description “Duplicate Message ID”
msg_type* requiredstring12Message Type – This can have either “TRANSACTION” or “ENQUIRY” As for this API the value expected is “ENQUIRY”
msg_function* requiredstring50Message functions: Should be "REQ_CARD_TOKEN_DETAILS"
src_application* requiredstring10Source Application: This is a free Text and the client can populate the source system from where the API is Initiated Example: IVR, IB, MB No Validations of these are kept at Network Systems
target_application* requiredstring10The target_application can hold any value from FI side, this can be used by FI to check the target system of the API call
timestamp* requiredstring30Timestamp of the request - Format YYYY-MM-DDtHH:MM:SS.SSS+04:00
bank_id* requiredstring4Bank Id is Unique Id 4 digit code for each client and the same will be provided once the client setup is completed in our core system. For sandbox testing – Please use “NIC”
bodycard_identifier_id* requiredstring32Card Identifier Id
is_active* requiredstring1By default N, all tokens are returned in response. Filter should only be added when it is required to filter list of tokens that are still Active with Parms ACTIVE=Y

{
    "NISrvRequest": {
        "request_card_token_details": {
            "header": {
                "msg_id": "236001",
                "msg_type": "ENQUIRY",
                "msg_function": "REQ_CARD_TOKEN_DETAILS",
                "src_application": "IVR",
                "target_application": "WAY4",
                "timestamp": "2020-07-20T10:49:02.366+04:00",
                "bank_id": "NIC"
            },
            "body": {
                "card_identifier_id": "99984100111514120378",
                "is_active": "Y"
            }
        }
    }
}

Node Child Node Type Length Description
Content-Typeapplication/jsonstringContent Type

Node TypeTypeLengthDescription
NISrvResponseresponse_card_token_detailsheadermsg_id* requiredstring12Message ID, this field should be unique id for each Api call. This will be generated from client side. If the same message ID is used the system will decline the API call with Error Description “Duplicate Message ID”
msg_type* requiredstring12Message Type – This can have either “TRANSACTION” or “ENQUIRY” As for this API the value expected is “ENQUIRY”
msg_function* requiredstring50Message functions: Should be "REP_CARD_TOKEN_DETAILS"
src_application* requiredstring10Source Application: This is a free Text and the client can populate the source system from where the API is Initiated Example: IVR, IB, MB No Validations of these are kept at Network Systems
target_application* requiredstring10The target_application can hold any value from FI side, this can be used by FI to check the target system of the API call
timestamp* requiredstring15Timestamp of the resopnse - Format YYYY-MM-DDtHH:MM:SS.SSS+04:00
bank_id* requiredstring4Bank Id is Unique Id 4 digit code for each client and the same will be provided once the client setup is completed in our core system. For sandbox testing – Please use “NIC”
exception_detailsapplication_name* requiredstring20Application Name
date_time* requiredstring30Timestamp of the response Format “YYYY-MM-DD HH:MM:SS”
status* requiredstring1Status of the request (S/F)
error_code* requiredstring4EAI Internal Error Code (Check error codes section for the complete list of error codes and error code descriptions)
error_description* requiredstring100Error Description (Check error codes section for the complete list of error codes and error code descriptions)
transaction_ref_idstring20The tracking_id sent in the request will be sent back in response in this field.
bodycard_identifier_id* requiredstring32Card identifier id
tokenstoken_number* requiredstring32Token Pan number /reference ID
token_status* requiredstring32Possible values -Inactive,Active,Suspended,Deactivated
wallet_id* requiredstring15Wallet ID
wallet_name* requiredstring32Wallet Name
device_idstring128Registed device Id
device_typestring128Device type
device_namestring128Device name
date_from* requiredstring12Date registered
date_tostring12Date deactivated- example shared for deactive case

{
    "NISrvResponse": {
        "response_card_token_details": {
            "header": {
                "msg_id": "236001",
                "msg_type": "ENQUIRY",
                "msg_function": "REP_CARD_TOKEN_DETAILS",
                "src_application": "IVR",
                "target_application": "WAY4",
                "timestamp": "2020-07-20T06:49:02.366Z",
                "bank_id": "NIC"
            },
            "exception_details": {
                "application_name": "TCC-ADP",
                "date_time": "2023-02-01T16:39:47.314+04:00",
                "status": "S",
                "error_code": "000",
                "error_description": "Success",
                "transaction_ref_id": "236001"
            },
            "body": {
                "card_identifier_id": "99984100111514120000",
                "tokens": [
                    {
                        "token_number": "5488xxxxxx31639",
                        "token_status": "Active",
                        "wallet_id": "50139059239",
                        "wallet_name": "SAMSUNG PAY",
                        "device_id": "IPHONE.16",
                        "device_type": "16",
                        "device_name": "xxx",
                        "date_from": "2022-09-11",
                        "date_to": "2026-09-12"
                    }
                ]
            }
        }
    }
}

Code Description
200Sample Description
400Bad Request
401Unauthorized
403Forbidden
500Internal Server Error
502Bad gateway
503Scheduled Maintenance
504Gateway Timeout
596Service Not Found

Code Description
* *